#ifndef PRECISION_R4
# define PRECISION_R4
#endif

#ifdef LIBDI
# include "w_mult_block.F90"
#else

subroutine wdagw_block_r4()
call die("block_r4 without libdi does not work so far")
end

subroutine wmul_block_r4()
call die("block_r4 without libdi does not work so far")
end

subroutine wdag_block_r4()
call die("block_r4 without libdi does not work so far")
end

#endif

